Runtime

## org.eclipse.gmf.runtime.notation
Interface IntValueStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NamedStyle, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  IntValueStyleImpl

    public interface IntValueStyle

extends NamedStyle

A representation of the model object 'Int Value Style'.

The following features are supported:

- `Int Value`

See Also:
  `NotationPackage.getIntValueStyle()`
** Generated **
Model:

Method Summary
`int` `getIntValue()` Returns the value of the 'Int Value' attribute
`void` `setIntValue(int value)` Sets the value of the '`Int Value`' attribute

Methods inherited from interface org.eclipse.gmf.runtime.notation.NamedStyle
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIntValue

    int getIntValue()

  Returns the value of the 'Int Value' attribute.

  If the meaning of the 'Int Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Int Value' attribute.
  See Also:
    `setIntValue(int)`, `NotationPackage.getIntValueStyle_IntValue()`
  ** Generated **
  Model:

### setIntValue

    void setIntValue(int value)

  Sets the value of the '`Int Value`' attribute.

  Parameters:
    `value` - the new value of the 'Int Value' attribute.
  See Also:
    `getIntValue()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.